Endpoint
POST /v3/universal-ai (sync)
Model string pattern: text/spell_check/{provider}[/{model}]
Input
| Field | Type | Required | Description |
|---|---|---|---|
| text | string | Yes | Text to be spell-checked |
| language | string | No | ISO 639-1 language code |
Output
| Field | Type | Required | Description |
|---|---|---|---|
| text | string | Yes | |
| items | array[object] | No | |
| text | string | Yes | |
| type | string | Yes | |
| offset | int | Yes | |
| length | int | Yes | |
| suggestions | array[object] | No | |
| suggestion | string | Yes | |
| score | float | Yes |
Available Providers
| Provider | Model String | Price |
|---|---|---|
| prowritingaid | text/spell_check/prowritingaid | $10 per 1,000 requests |
| sapling | text/spell_check/sapling | $2 per 1,000,000 chars |